python-vipscc_7.28.5-1+deb7u1_i386.deb


Advertisement

Description

python-vipscc - image processing system good for very large images (tools)

Property Value
Distribution Debian 7 (Wheezy)
Repository Debian Main i386
Package name python-vipscc
Package version 7.28.5
Package release 1+deb7u1
Package architecture i386
Package type deb
Installed size 11.61 KB
Download size 3.34 MB
Official Mirror ftp.br.debian.org
VIPS is an image processing system designed with efficiency in mind.
It is good with large images (images larger than the amount of RAM in
your machine), and for working with colour.  It can perform many
image manipulation tasks much faster than other packages such as
ImageMagick and the GIMP and includes some special features such as
creating single "mosaic" images from multiple parts.
VIPS consists of two main components: an image processing library
with some command-line tools and a spreadsheet-like graphical user
interface.  The graphical interface is available in the nip2 package.
This package includes Python bindings to the vips library.

Alternatives

Package Version Architecture Repository
python-vipscc_7.28.5-1+deb7u2_amd64.deb 7.28.5 amd64 Debian Security Updates Main
python-vipscc_7.28.5-1+deb7u2_i386.deb 7.28.5 i386 Debian Security Updates Main
python-vipscc_7.28.5-1+deb7u1_amd64.deb 7.28.5 amd64 Debian Main
python-vipscc - - -

Requires

Name Value
libc6 >= 2.4
libcfitsio3 >= 3.060
libexif12 -
libfftw3-3 -
libfontconfig1 >= 2.9.0
libfreetype6 >= 2.2.1
libgcc1 >= 1:4.1.1
libglib2.0-0 >= 2.24.0
libgomp1 >= 4.2.1
libilmbase6 >= 1.0.1
libjpeg8 >= 8c
liblcms2-2 -
libmagickcore5 >= 8:6.7.7.10
libmagickwand5 >= 8:6.7.7.10
libmatio0 -
libopenexr6 >= 1.6.1
libopenslide0 -
liborc-0.4-0 >= 1:0.4.16
libpango1.0-0 >= 1.14.0
libpng12-0 >= 1.2.13-4
libstdc++6 >= 4.1.1
libtiff4 >> 3.9.5-3~
libvips15 >= 7.28.2-1
libxml2 >= 2.6.27
python >= 2.6.6-7~
python << 2.8
zlib1g >= 1:1.1.4

Download

Type URL
Binary Package python-vipscc_7.28.5-1+deb7u1_i386.deb
Source Package vips

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-vipscc deb package:
    # sudo apt-get install python-vipscc

Files

Path
/usr/lib/pyshared/python2.6/vipsCC/vdisplaymodule.so
/usr/lib/pyshared/python2.6/vipsCC/verrormodule.so
/usr/lib/pyshared/python2.6/vipsCC/vimagemodule.so
/usr/lib/pyshared/python2.6/vipsCC/vmaskmodule.so
/usr/lib/pyshared/python2.7/vipsCC/vdisplaymodule.so
/usr/lib/pyshared/python2.7/vipsCC/verrormodule.so
/usr/lib/pyshared/python2.7/vipsCC/vimagemodule.so
/usr/lib/pyshared/python2.7/vipsCC/vmaskmodule.so
/usr/lib/python2.6/dist-packages/vipsCC/VDisplay.py
/usr/lib/python2.6/dist-packages/vipsCC/VError.py
/usr/lib/python2.6/dist-packages/vipsCC/VImage.py
/usr/lib/python2.6/dist-packages/vipsCC/VMask.py
/usr/lib/python2.6/dist-packages/vipsCC/__init__.py
/usr/lib/python2.6/dist-packages/vipsCC/vdisplaymodule.a
/usr/lib/python2.6/dist-packages/vipsCC/vdisplaymodule.so
/usr/lib/python2.6/dist-packages/vipsCC/verrormodule.a
/usr/lib/python2.6/dist-packages/vipsCC/verrormodule.so
/usr/lib/python2.6/dist-packages/vipsCC/vimagemodule.a
/usr/lib/python2.6/dist-packages/vipsCC/vimagemodule.so
/usr/lib/python2.6/dist-packages/vipsCC/vmaskmodule.a
/usr/lib/python2.6/dist-packages/vipsCC/vmaskmodule.so
/usr/lib/python2.7/dist-packages/vipsCC/VDisplay.py
/usr/lib/python2.7/dist-packages/vipsCC/VError.py
/usr/lib/python2.7/dist-packages/vipsCC/VImage.py
/usr/lib/python2.7/dist-packages/vipsCC/VMask.py
/usr/lib/python2.7/dist-packages/vipsCC/__init__.py
/usr/lib/python2.7/dist-packages/vipsCC/vdisplaymodule.a
/usr/lib/python2.7/dist-packages/vipsCC/vdisplaymodule.so
/usr/lib/python2.7/dist-packages/vipsCC/verrormodule.a
/usr/lib/python2.7/dist-packages/vipsCC/verrormodule.so
/usr/lib/python2.7/dist-packages/vipsCC/vimagemodule.a
/usr/lib/python2.7/dist-packages/vipsCC/vimagemodule.so
/usr/lib/python2.7/dist-packages/vipsCC/vmaskmodule.a
/usr/lib/python2.7/dist-packages/vipsCC/vmaskmodule.so
/usr/share/doc/python-vipscc/AUTHORS
/usr/share/doc/python-vipscc/NEWS.gz
/usr/share/doc/python-vipscc/README.gz
/usr/share/doc/python-vipscc/THANKS
/usr/share/doc/python-vipscc/TODO.gz
/usr/share/doc/python-vipscc/changelog.Debian.gz
/usr/share/doc/python-vipscc/changelog.gz
/usr/share/doc/python-vipscc/copyright
/usr/share/lintian/overrides/python-vipscc
/usr/share/pyshared/vipsCC/VDisplay.py
/usr/share/pyshared/vipsCC/VError.py
/usr/share/pyshared/vipsCC/VImage.py
/usr/share/pyshared/vipsCC/VMask.py
/usr/share/pyshared/vipsCC/__init__.py

Changelog

2013-12-20 - Jay Berkenbilt <qjb@debian.org>
vips (7.28.5-1+deb7u1) stable; urgency=low
* Fix crash on tiff with jpeg compression.  Thanks to Mathieu Malaterre
<malat@debian.org> for diagnosing this bug, getting a fix from
upstream, and preparing a patch.  (Closes: #689523, #714984, #731948)
2012-05-29 - Jay Berkenbilt <qjb@debian.org>
vips (7.28.5-1) unstable; urgency=low
* New upstream release
* multiarch, hardening
* Support bigtiff
2012-03-18 - Jay Berkenbilt <qjb@debian.org>
vips (7.28.2-1) unstable; urgency=low
* New upstream release
2012-03-05 - Jay Berkenbilt <qjb@debian.org>
vips (7.26.7-4) unstable; urgency=low
* Explicitly disable v4l on kfreebsd architectures.  Hopefully it's
really right this time.  (Closes: #654430)
2012-03-05 - Jay Berkenbilt <qjb@debian.org>
vips (7.26.7-3) unstable; urgency=low
* Correctly implement previous change (fix omission in rules file)
2012-03-05 - Jay Berkenbilt <qjb@debian.org>
vips (7.26.7-2) unstable; urgency=low
* Update png dependency to libpng-dev.  (Closes: #662536)
* Explicitly disable v4l on kfreebsd architectures.  (Closes: #654430)
2011-12-31 - Jay Berkenbilt <qjb@debian.org>
vips (7.26.7-1) unstable; urgency=low
* New upstream release
* Fix python packaging issue.  Thanks Jakub Wilik <jwilk@debian.org>.
(Closes: #642746)
2011-09-03 - Jay Berkenbilt <qjb@debian.org>
vips (7.26.3-1) unstable; urgency=low
* New upstream release
* Migrate from dh_pycentral to dh_python2.  (Closes: #617141)
* Remove remaining .la files which were installed with the python
module.  (Closes: #633181)
* New upstream release includes updated German translation.  (Closes:
#625255)
2011-06-11 - Jay Berkenbilt <qjb@debian.org>
vips (7.24.5-4) unstable; urgency=high
* Fixed ImageMagick dependencies; previous fix missed dependencies of
libvips-dev. (Closes: #629904, #630014)
2011-05-07 - Jay Berkenbilt <qjb@debian.org>
vips (7.24.5-3) unstable; urgency=low
* Updated libmagick build dependencies to use non-version-specific
packages for better upgradability. (Closes: #625602, #625552)

See Also

Package Description
python-virtualenv_1.7.1.2-2_all.deb Python virtual environment creator
python-visual_5.12-1.5_i386.deb VPython 3D scientific visualization library
python-vobject_0.8.1c-4_all.deb parse iCalendar and VCards in Python
python-vsgui_0.3.3-1_all.deb Very Simple Graphical library for Python shell script
python-vte_0.28.2-5_i386.deb Python bindings for the VTE widget set
python-vtk_5.8.0-13+b1_i386.deb Python bindings for VTK
python-vtkgdcm_2.2.0-14.1_i386.deb Grassroots DICOM VTK/Python bindings
python-w3lib_1.0-1_all.deb Collection of web-related functions for Python
python-wader_0.5.10-1_all.deb common services for wader-core daemon and alternate clients
python-wadllib_1.3.0-2_all.deb Python library for navigating WADL files
python-web2py_1.99.7-1_all.deb High-level Python web development framework
python-webcolors_1.3.1+hg~2c8ac6e0a03d-2_all.deb library of color names and value formats defined by HTML and CSS
python-webdav_0.9.8-3_all.deb WebDAV server implementation in Python
python-weberror_0.10.3-1_all.deb Python web error handling and exception catching module
python-webflash_0.1a9-4_all.deb Portable flash messages for Python WSGI applications
Advertisement
Advertisement